<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\EinstellungenUser\ZahlungInfoVorschauMv;

class ZahlungInfoVorschauMvController extends \Kufer\KuferTools\Basis\Controller\Controller
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ZahlungInfoVorschauMvUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new ZahlungInfoVorschauMvRequest();
    $requestObj->zahlungInfo = \PostOperations::getVarValue('zahlungInfo');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ZahlungInfoVorschauMvPresenter($pUseCaseResponse);
  }
}